#
# spec file for package python-testinfra
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-testinfra
Version:        1.12.0
Release:        bp153.1.15
Summary:        Test infrastructures
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://github.com/philpep/testinfra
Source:         https://files.pythonhosted.org/packages/source/t/testinfra/testinfra-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post):   update-alternatives
Requires(postun): update-alternatives
Requires:       python-pytest
Requires:       python-six >= 1.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
With Testinfra you can write unit tests in Python to test actual state of
your servers configured by managements tools like Salt, Ansible, Puppet,
Chef and so on.

Testinfra aims to be a Serverspec equivalent in python and is written as
a plugin to the Pytest test engine

%prep
%setup -q -n testinfra-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/testinfra
%python_expand %fdupes %{buildroot}%{$python_sitelib}/testinfra

%post
%python_install_alternative testinfra

%postun
%python_uninstall_alternative testinfra

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.rst LICENSE README.rst
%python_alternative %{_bindir}/testinfra
%{python_sitelib}/*

%changelog
* Tue May  1 2018 sean.marlow@suse.com
- Update to v1.12.0
  + ansible: fix compatibility with ansible 2.5
  + pip: fix compatibility with pip 10
- Update to v1.11.1
  + Socket: fix error with old versions of ss without the
  - -no-header option
- Update to v1.11.0
  + Fix bad error reporting when using ansible module without
    ansible backend
  + Socket: add a new implementation using ss instead of netstat
  + Add service, process, and systeminfo support for Alpine
- Update to v1.10.1
  + Fix get_variables() for ansible>=2.0,<2.4
  + Paramiko: Use the RequireTTY setting if specified in a
    provided SSHConfig
- Update to v1.10.0
  + New iptables module
- Update to v1.9.1
  + Fix running testinfra within a suite using doctest (#268)
  + Service: add is_valid method for systemd
  + Fix file.linked_to() for Mac OS
- Update to v1.9.0
  + Interface: allow to find 'ip' command ousite of PATH
  + Fix --nagios option with python 3
- Update to v1.8.0
  + Deprecate testinfra command (will be dropped in 2.0), use
    py.test instead.
  + Handle --nagios option when using py.test command
- Update to v1.7.1
  + Support for ansible 2.4
- Update to v1.7.0
  + Salt: allow specifiy config directory
  + Add a WinRM backend
  + Socket: ipv6 sockets can handle ipv4 clients
  + Service: Enhance upstart detection
* Mon Aug 28 2017 sean.marlow@suse.com
- Update to v1.6.5
  + Service: add is_enabled() support for OpenBSD
  + Add ssh identity file option for paramiko and ssh backends
  + Expand tilde (~) to user home directory for ssh-config,
    ssh-identity-file and ansible-inventory options
- Update to v1.6.4
  + Service: Allow to find 'service' command outside of $PATH #211
  + doc fixes
- Update to v1.6.3
  + Fix unwanted deprecation warning when running tests with
    pytest 3.1 #204
- Update to v1.6.2
  + Fix wheel package for 1.6.1
* Wed May 17 2017 sean.marlow@suse.com
- Initial release (v1.6.1)
